MyBB Community Forums

Full Version: Can't delete thread or post as administrator
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Hi,

I am unable to delete posts or threads as administrator. When selecting a post, the button doesnt change from (0) to (1).

When I click the button, it shows me a message that there are no posts to be deleted or that my admin expired after auto. 1 hour?
Basically: http://community.mybb.com/thread-170919-...pid1158934 is a recommended thing to do. Otherwise you'll encounter many more issues. Right now your whole headerinclude template is not compatible with 1.8 at all (you can try reverting it, but theme features will be lost) and because of that the whole JS is broken, not only inline moderation - collapse buttons, quick edit, reputation/report modals, etc.
Well that stinks.. So ur stuck with 10 themes if u want to use Mybb 1.8? lol.

So what if I get a 1.8 theme, when in few months or whenever, Mybb 2.0 comes out, everyone needs to change theme AGAIN?

Ive worked some days on my theme, not too much but thats because I already liked it a lot how the theme was... Imagen the work i'd have to put in ( hell, I dont even know if im possible to edit a whole theme myself) if I choose another theme now.
(05-23-2015, 03:42 PM)MikeInToshx Wrote: [ -> ]Well that stinks.. So ur stuck with 10 themes if u want to use Mybb 1.8? lol.

Definitely more than 10..

(05-23-2015, 03:42 PM)MikeInToshx Wrote: [ -> ]So what if I get a 1.8 theme, when in few months or whenever, Mybb 2.0 comes out, everyone needs to change theme AGAIN?

Yes, major software updates often tend to break old stuff, so I don't know why you're surprised. 1.8 was converted to jQuery from Prototype, so old themes with Prototype can't be used without any problems anymore. 2.0 is supposed to be even more renovated - written completely from scratch with Twig templating engine and responsiveness. How are we supposed to make old themes work with both of these features that don't exist in any current theme (at least Twig)?

(05-23-2015, 03:42 PM)MikeInToshx Wrote: [ -> ]Ive worked some days on my theme, not too much but thats because I already liked it a lot how the theme was... Imagen the work i'd have to put in ( hell, I dont even know if im possible to edit a whole theme myself) if I choose another theme now.

Well, you can fix the old theme if you really want to, but many template changes are needed and it's a tedious task, which can't be easily answered by us in support threads.
Yes theres more than 10, but u get my point. Theres not a lot to choose from.

I noticed, a lot of stuff didn't work, but I got most of it fixed. Though I guess u are right about future issues..

Is it possible to just stay at Mybb 1.8 then? Without major security issues or other stuff?
Of course it is possible to stay in 1.6 or 1.8 - simply don't upgrade to a newer major version. But keep in mind that in September 1.6 support and security fixes will end due to 1 year of 1.8's existence and 2.0 progress: http://blog.mybb.com/2015/05/13/mybb-1-6...ouncement/

If I were you, I'd rather hire someone in our R/S/J section to fix the theme in 1.8 (if you really need it) or you may get lucky and someone may do it for free (but as I said, it's not an easy and quick task). But if you're still looking for something like this: http://community.mybb.com/thread-170908.html then I can think of at least 2 better alternatives for 1.8 than the one you chose - for example igame with several small changes: http://community.mybb.com/mods.php?action=view&pid=357.
I already started with a new theme which is 1point8. It is like almost 75% done, then its the same as how I had the 1.6 theme. I might say even a bit better Smile The 1.6 theme was basscode.

I will keep my mybb 1.8 for as long as possible now. Who knows I might be able to pay for a mybb 2.0 upgrade then in like a year.